#
# spec file for package asterisk-capi (Version 1.1.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl asterisk asterisk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 capi4linux capi4linux-devel coreutils cpio cpp cpp41 cracklib curl cvs db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip i4l-base info insserv klogd less libacl libattr libcom_err libgcc41 libgsm libidn libltdl libmudflap41 libnscd libogg libpcap libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed speex strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXdmcp xorg-x11-libXext xorg-x11-libXfixes xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXprintUtil xorg-x11-libXrender xorg-x11-libXt xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs xorg-x11-libxkbfile zlib zlib-devel

Name:           asterisk162-capi
BuildRequires:  asterisk162 asterisk162-devel capi4linux capi4linux-devel
URL:            http://www.melware.org/ChanCapi
Summary:        ISDN Module for Asterisk
Group:          Productivity/Telephony/Servers
Version:        1.1.5
Release:        21.1
License:        GNU General Public License (GPL)
Group:          Productivity/Telephony/Servers
Source0:        chan_capi-%version.tar.bz2 
Patch0:         chan_capi.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prereq:         asterisk162
Excludearch:  s390 s390x

%description
This package allows Asterisk to receive and place calls through CAPI
ISDN cards.

The configuration is in /etc/asterisk/capi.conf.



Authors:
--------
    Klaus-Peter Junghanns <kpj@junghanns.net>

%debug_package
%prep
%setup -q -n chan_capi-%version
%patch0 -p 0

%build
make OPTIMIZE="%optflags -fno-strict-aliasing" \
	ASTERISK_HEADER_DIR=%_includedir \
	LIBDIR=%{_libdir}

%install
make INSTALL_PREFIX=%buildroot install install_config LIBDIR=%{_libdir}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%doc INSTALL LICENSE README CHANGES
%{_libdir}/asterisk/modules/*capi*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/capi.conf
%dir %{_libdir}/asterisk  
%dir %{_libdir}/asterisk/modules

%changelog -n asterisk162-capi
* Sat Mar 19 2011 Carsten Schoene <cs@linux-administrator.com> - 1.1.5-1
- update to release 1.1.5

* Fri Jan 29 2010 - vittorio@vitsoft.bz
- New version: 1.1.4 to match the latest version of Asterisk.
* Fri Oct 20 2006 - max@suse.de
- New version: 0.7.1 to match the latest version of Asterisk.
- Set FAXREASONTEXT to "OK" instead of empty string.
- Disconnect reason 0x3400 is treated as 'successful' in faxmode.
- use CIP speech as default if transfercapability is unkown.
- set correct channel/cdr status in fax mode too.
- Use correct interface to wait on for ECT facility.
- added amaflags
- added pickupgroup (internal pickup with pickupexten)
- added capicommand(sendfax)
- dropped compatiblity to versions before Asterisk-1.2.0
- added capicommand(echocancel)
- added CAPI RTP (Eicon DIVA Server cards can do that)
- added new cli 'capi show channels'
- a lot of fixes
* Wed Jul 19 2006 - max@suse.de
- New version: chan_capi-cm-0.6.5
  - fixed call deflect if number is longer
  - removed function VANITYNUMBER, this does not belong into
  channel drivers
  - don't do echo-squelch or gain if transfercapability is
  non-voice
  - fix deadlock when changing to fax mode
  - better capi message handling
  - removed double memset to zero
  - use safer copy_string function
  - removed unneeded lockB3q
  - avoid capi message number zero
  - added locking rules
  - fix ECT (use implicit ECT)
  - fixed setting language for each interface
  - fix wait for b-channel to go down on ECT.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - max@suse.de
- New version: 0.6.3
- Fixed an uninitialized local variable (#137378).
* Sat Dec 24 2005 - kkeil@suse.de
- Moved to chan-capi-cm version 0.6.1 from sourceforge this is the
  actively maintained succesor of the old chan-capi
* Wed Dec 21 2005 - kkeil@suse.de
- some missing changes for new asterisk API
* Tue Dec 20 2005 - max@suse.de
- New version: 0.4.0-PRE1
* Tue Mar 15 2005 - max@suse.de
- Prevent chan_capi from crashing Asterisk on startup if no
  CAPI devices exist.
* Mon Sep 20 2004 - max@suse.de
- Made the config file owned by the asterisk user, and added
  the asterisk package as a prerequirement to make sure that the
  user exists.
* Mon Sep 06 2004 - max@suse.de
- Split the asterisk-capi source package from asterisk.
- Disabled building on s390, and s390x due to missing CAPI support
  on these architectures.
